## NAME

d.path - Find shortest path for selected starting and ending node

## KEYWORDS

display, networking

## SYNOPSIS

d.path
d.path help
d.path [-g] map=name [type=string[,string,...]] [alayer=integer] [nlayer=integer] [afcol=string] [abcol=string] [ncol=string] [color=string] [hcolor=string] [bgcolor=string]

### Flags:

-g
  Use geodesic calculation for longitude-latitude locations

### Parameters:

map=name
  Name of input vector map
type=string[,string,...]
  Arc type
  Options: line,boundary
  Default: line,boundary
alayer=integer
  Arc layer
  Default: 1
nlayer=integer
  Node layer
  Default: 2
afcol=string
  Arc forward/both direction(s) cost column
abcol=string
  Arc backward direction cost column
ncol=string
  Node cost column
color=string
  Original line color
  Default: black
hcolor=string
  Highlight color
  Default: red
bgcolor=string
  Background color
  Default: white

## DESCRIPTION

d.path enables shortest path vector networking - based on DGLib (Directed Graph Library) vector network library (see screenshot). Costs may be either line lengths, or attributes saved in a database table. Supported are cost assignments for both arcs and nodes, and also different in both directions of a vector line. For areas cost will be calculated along boundary lines.

## NOTE

The user needs to display a vector map before using d.path. The 'from' and 'to' points are entered by mouse into the map displayed in the GRASS monitor. The actions bound to the mouse buttons are described in the terminal window when running the command.

To calculate shortest path non-interactively, the module v.net.path must be used.

## SEE ALSO

v.net.path, DGLib

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/04/05 07:56:15 $

Main index - display index - Full index